Bug 157396 - KDE mouse pointer does not look right when "resizing" a window
KDE mouse pointer does not look right when "resizing" a window
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Rockai
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-05-11 02:38 EDT by tony
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 22:52:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description tony 2005-05-11 02:38:31 EDT
Description of problem:  
Mouse pointer on KDE desktop changes to a large-ish square of vertical stripes 
when it is over any kind of "resize" control in or on a window.  It switches 
right back to normal when it is moved off.  The resize control still works, if 
you can guess where the real mouse cursor is. 

Version-Release number of selected component (if applicable):
This behavior occurs only with KDE.  I have not seen it with Gnome. 
This behavior occurs only with Fedora 3.  It did not occur with previous Fedora 
or RedHat versions I have installed. 
I am not sure which component of KDE is indicated.  I guess it could also be in 
the X server. 
This is a clean recent install of Fedora Core 3, with no kernel, hardware, or 
driver tweaks, all "stable" up2date updates installed.  This is a H-P Vectra 
VL400 tower w/ 1GHz Intel P4, with a Matrox Millenium G450 Dualhead AGP video 
card, all from early 2001. 

How reproducible:
100% on this computer. 

Steps to Reproduce:
1. Start KDE
2. Open any window, e.g. Firefox
3. Move mouse pointer over the bottom right corner of the window, or anyplace 
inside the window where some kind of "resize" action is activated. 
  
Actual results:
Mouse pointer turns into an ugly square full of black vertical lines, much 
larger than a normal mouse pointer. 

Expected results:
Normal mouse pointer should turn into a recognizable "resize" mouse pointer. 

Additional info:
Comment 1 Ngo Than 2005-05-11 05:20:13 EDT
Strange, i'm not able to reproduce this problem here.

Could you please try to change your cursor theme to default
Kcontrol->Peripherals->hMouse->Cursor Theme

Do you still see this problem? (you have to restart KDE after the change!)
Comment 2 tony 2005-05-11 23:40:51 EDT
Well, here is what I did.  I created a brand new userid, just taking the
defaults, logged out, set the session to KDE, logged in w/ the new userid, and
saw the same behavior.  
Comment 3 Ngo Than 2005-05-12 04:50:29 EDT
could you please attach the output of "rpm -qa | egrep '(^kde|^qt|^xorg)'". thanks
Comment 4 tony 2005-05-12 09:45:46 EDT
Here is the rpm output: rpm -qa | egrep '(^kde|^qt|^xorg)'
xorg-x11-Mesa-libGL-6.8.2-1.FC3.13
kdepim-3.3.1-1.FC3.1
qt-3.3.4-0.fc3.0
xorg-x11-xdm-6.8.2-1.FC3.13
kdegraphics-3.3.1-2.4
kdeedu-3.3.1-2.3
xorg-x11-libs-6.8.2-1.FC3.13
xorg-x11-xauth-6.8.2-1.FC3.13
kdebase-3.3.1-4.3.FC3
kdenetwork-3.3.1-3
kdeadmin-3.3.1-1
xorg-x11-Mesa-libGLU-6.8.2-1.FC3.13
xorg-x11-xfs-6.8.2-1.FC3.13
kdemultimedia-3.3.1-1
kdeutils-3.3.1-1
kdeartwork-3.3.1-1
xorg-x11-6.8.2-1.FC3.13
kdeaddons-3.3.1-1
kdelibs-3.3.1-2.12.FC3
xorg-x11-font-utils-6.8.2-1.FC3.13
xorg-x11-tools-6.8.2-1.FC3.13
xorg-x11-twm-6.8.2-1.FC3.13
kdegames-3.3.1-1

end
Comment 5 Petr Rockai 2006-05-05 07:23:28 EDT
I think the problem was with xorg. Can you please check in FC5 if the 
problem still appears? (Or maybe FC4 if you have that handy). If it still 
happens i would reassign the bug to xorg.
Comment 6 John Thacker 2007-01-19 22:52:50 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.